From 379de85c22903ac992a453c814c001e46fc2ea0d Mon Sep 17 00:00:00 2001
From: Katsuya Hidaka <hidakatsuya@gmail.com>
Date: Tue, 29 Oct 2024 01:23:10 +0900
Subject: Use fixtures :all to ensure consistent test data

---
 .../redmine_pm/repository_git_test_pm.rb      |  2 --
 .../repository_subversion_test_pm.rb          |  2 --
 test/functional/account_controller_test.rb    |  2 --
 test/functional/activities_controller_test.rb | 11 --------
 test/functional/admin_controller_test.rb      |  2 --
 .../functional/attachments_controller_test.rb |  4 ---
 .../functional/attachments_visibility_test.rb |  5 ----
 .../auth_sources_controller_test.rb           |  2 --
 .../auto_completes_controller_test.rb         | 11 --------
 test/functional/boards_controller_test.rb     |  2 --
 test/functional/calendars_controller_test.rb  | 16 -----------
 test/functional/comments_controller_test.rb   |  2 --
 .../context_menus_controller_test.rb          | 16 -----------
 ...stom_field_enumerations_controller_test.rb |  2 --
 .../custom_fields_controller_test.rb          | 13 ---------
 test/functional/documents_controller_test.rb  |  4 ---
 .../email_addresses_controller_test.rb        |  2 --
 .../enumerations_controller_test.rb           |  2 --
 test/functional/files_controller_test.rb      | 13 ---------
 test/functional/gantts_controller_test.rb     | 10 -------
 test/functional/groups_controller_test.rb     |  2 --
 test/functional/help_controller_test.rb       |  2 --
 test/functional/imports_controller_test.rb    | 14 ----------
 .../issue_categories_controller_test.rb       |  3 --
 .../issue_relations_controller_test.rb        | 13 ---------
 .../issue_statuses_controller_test.rb         |  2 --
 test/functional/issues_controller_test.rb     | 28 -------------------
 .../issues_controller_transaction_test.rb     | 24 ----------------
 .../issues_custom_fields_visibility_test.rb   | 13 ---------
 test/functional/journals_controller_test.rb   |  5 ----
 .../mail_handler_controller_test.rb           |  4 ---
 test/functional/members_controller_test.rb    |  2 --
 test/functional/messages_controller_test.rb   |  3 --
 test/functional/my_controller_test.rb         |  6 ----
 test/functional/news_controller_test.rb       |  4 ---
 test/functional/previews_controller_test.rb   | 10 -------
 .../principal_memberships_controller_test.rb  |  2 --
 .../project_enumerations_controller_test.rb   | 11 --------
 test/functional/projects_controller_test.rb   |  8 ------
 test/functional/queries_controller_test.rb    |  7 -----
 test/functional/reports_controller_test.rb    | 10 -------
 .../repositories_bazaar_controller_test.rb    |  3 --
 .../repositories_controller_test.rb           |  4 ---
 .../repositories_cvs_controller_test.rb       |  3 --
 ...repositories_filesystem_controller_test.rb |  3 --
 .../repositories_git_controller_test.rb       |  3 --
 .../repositories_mercurial_controller_test.rb |  3 --
 ...repositories_subversion_controller_test.rb |  4 ---
 test/functional/roles_controller_test.rb      |  2 --
 test/functional/search_controller_test.rb     |  9 ------
 .../search_custom_fields_visibility_test.rb   | 13 ---------
 test/functional/sessions_controller_test.rb   |  2 --
 test/functional/settings_controller_test.rb   |  3 --
 test/functional/sys_controller_test.rb        |  2 --
 test/functional/timelog_controller_test.rb    |  7 -----
 .../timelog_custom_fields_visibility_test.rb  | 13 ---------
 test/functional/timelog_report_test.rb        |  7 -----
 test/functional/trackers_controller_test.rb   |  2 --
 test/functional/users_controller_test.rb      |  7 -----
 test/functional/versions_controller_test.rb   |  7 -----
 .../versions_custom_fields_visibility_test.rb | 12 --------
 test/functional/watchers_controller_test.rb   |  4 ---
 test/functional/welcome_controller_test.rb    |  2 --
 test/functional/wiki_controller_test.rb       |  5 ----
 test/functional/wikis_controller_test.rb      |  2 --
 test/functional/workflows_controller_test.rb  |  2 --
 test/helpers/activities_helper_test.rb        |  2 --
 test/helpers/application_helper_test.rb       | 11 --------
 test/helpers/avatars_helper_test.rb           |  2 --
 test/helpers/groups_helper_test.rb            |  2 --
 test/helpers/icons_helper_test.rb             |  2 --
 test/helpers/issues_helper_test.rb            | 11 --------
 test/helpers/journals_helper_test.rb          | 10 -------
 test/helpers/members_helper_test.rb           |  3 --
 test/helpers/projects_helper_test.rb          |  9 ------
 test/helpers/projects_queries_helper_test.rb  |  3 --
 test/helpers/queries_helper_test.rb           |  8 ------
 test/helpers/reports_helper_test.rb           |  2 --
 test/helpers/routes_helper_test.rb            |  2 --
 test/helpers/timelog_helper_test.rb           |  8 ------
 test/helpers/version_helper_test.rb           |  5 ----
 test/helpers/watchers_helper_test.rb          |  2 --
 test/helpers/wiki_helper_test.rb              |  4 ---
 test/integration/account_test.rb              |  2 --
 test/integration/admin_test.rb                |  8 ------
 test/integration/api_test/api_test.rb         |  2 --
 test/integration/api_test/attachments_test.rb |  9 ------
 .../api_test/authentication_test.rb           |  2 --
 .../api_test/custom_fields_attribute_test.rb  |  2 --
 .../api_test/custom_fields_test.rb            |  2 --
 .../api_test/disabled_rest_api_test.rb        |  8 ------
 .../integration/api_test/enumerations_test.rb |  2 --
 test/integration/api_test/files_test.rb       |  9 ------
 test/integration/api_test/groups_test.rb      |  2 --
 .../api_test/issue_categories_test.rb         |  6 ----
 .../api_test/issue_relations_test.rb          |  9 ------
 .../api_test/issue_statuses_test.rb           |  2 --
 test/integration/api_test/issues_test.rb      | 28 -------------------
 test/integration/api_test/journals_test.rb    |  7 -----
 test/integration/api_test/jsonp_test.rb       |  2 --
 test/integration/api_test/memberships_test.rb |  2 --
 test/integration/api_test/my_test.rb          |  2 --
 test/integration/api_test/news_test.rb        | 11 --------
 test/integration/api_test/projects_test.rb    |  5 ----
 test/integration/api_test/queries_test.rb     |  9 ------
 .../integration/api_test/repositories_test.rb |  6 ----
 test/integration/api_test/roles_test.rb       |  2 --
 test/integration/api_test/search_test.rb      |  8 ------
 .../integration/api_test/time_entries_test.rb |  9 ------
 test/integration/api_test/trackers_test.rb    |  2 --
 test/integration/api_test/users_test.rb       |  2 --
 test/integration/api_test/versions_test.rb    | 11 --------
 test/integration/api_test/wiki_pages_test.rb  |  4 ---
 test/integration/application_test.rb          |  8 ------
 test/integration/attachments_test.rb          |  9 ------
 test/integration/feeds_test.rb                |  5 ----
 test/integration/issues_test.rb               | 17 -----------
 test/integration/layout_test.rb               |  8 ------
 .../field_format/attachment_format_test.rb    | 16 -----------
 test/integration/lib/redmine/hook_test.rb     |  2 --
 .../lib/redmine/menu_manager_test.rb          |  9 ------
 test/integration/projects_test.rb             |  2 --
 test/integration/repositories_git_test.rb     |  3 --
 test/integration/sessions_test.rb             |  2 --
 test/integration/sudo_mode_test.rb            |  2 --
 test/integration/twofa_test.rb                |  2 --
 test/integration/users_test.rb                |  2 --
 test/integration/welcome_test.rb              |  3 --
 test/integration/wiki_test.rb                 | 12 --------
 test/system/copy_to_clipboard_test.rb         |  6 ----
 test/system/custom_field_enumerations_test.rb |  5 ----
 test/system/inline_autocomplete_test.rb       |  7 -----
 test/system/issues_import_test.rb             |  5 ----
 test/system/issues_reply_test.rb              |  7 -----
 test/system/issues_test.rb                    |  7 -----
 test/system/keyboard_shortcuts_test.rb        |  6 ----
 test/system/messages_test.rb                  |  5 ----
 test/system/my_page_test.rb                   |  5 ----
 test/system/quick_jump_test.rb                |  5 ----
 test/system/repositories_test.rb              |  4 ---
 test/system/sudo_mode_test.rb                 |  2 --
 test/system/timelog_test.rb                   |  5 ----
 test/system/versions_test.rb                  |  5 ----
 test/test_helper.rb                           |  2 ++
 test/unit/activity_test.rb                    |  4 ---
 test/unit/attachment_test.rb                  |  3 --
 test/unit/attachment_transaction_test.rb      |  3 --
 test/unit/auth_source_ldap_test.rb            |  2 --
 test/unit/board_test.rb                       |  2 --
 test/unit/changeset_test.rb                   | 13 ---------
 test/unit/comment_test.rb                     |  3 --
 test/unit/custom_field_test.rb                |  4 ---
 test/unit/custom_field_user_format_test.rb    |  2 --
 test/unit/custom_field_version_format_test.rb |  2 --
 test/unit/custom_value_test.rb                |  2 --
 test/unit/default_data_test.rb                |  2 --
 test/unit/document_category_test.rb           |  2 --
 test/unit/document_test.rb                    |  5 ----
 test/unit/email_address_test.rb               |  2 --
 test/unit/enabled_module_test.rb              |  2 --
 test/unit/enumeration_test.rb                 |  2 --
 test/unit/group_test.rb                       |  7 -----
 test/unit/issue_category_test.rb              |  2 --
 test/unit/issue_custom_field_test.rb          |  2 --
 test/unit/issue_import_test.rb                | 14 ----------
 .../unit/issue_nested_set_concurrency_test.rb |  6 ----
 test/unit/issue_nested_set_test.rb            |  6 ----
 test/unit/issue_priority_test.rb              |  2 --
 test/unit/issue_relation_test.rb              | 13 ---------
 test/unit/issue_scopes_test.rb                |  8 ------
 test/unit/issue_status_test.rb                | 10 -------
 test/unit/issue_subtasking_test.rb            |  7 -----
 test/unit/issue_test.rb                       | 12 --------
 test/unit/issue_transaction_test.rb           |  9 ------
 test/unit/jobs/destroy_project_job_test.rb    |  2 --
 test/unit/jobs/destroy_projects_job_test.rb   |  2 --
 test/unit/journal_observer_test.rb            |  5 ----
 test/unit/journal_test.rb                     |  7 -----
 .../unit/lib/redmine/acts/mentionable_test.rb |  8 ------
 .../acts/positioned_with_scope_test.rb        |  2 --
 .../acts/positioned_without_scope_test.rb     |  2 --
 test/unit/lib/redmine/ciphering_test.rb       |  2 --
 .../lib/redmine/export/pdf/issues_pdf_test.rb |  3 --
 test/unit/lib/redmine/export/pdf_test.rb      |  3 --
 .../export/text/versions_text_helper_test.rb  |  3 --
 .../field_format/attachment_format_test.rb    |  2 --
 .../attachment_format_visibility_test.rb      |  7 -----
 .../field_format/numeric_format_test.rb       |  4 ---
 .../field_format/user_field_format_test.rb    |  6 ----
 .../field_format/version_field_format_test.rb |  6 ----
 test/unit/lib/redmine/helpers/gantt_test.rb   |  3 --
 test/unit/lib/redmine/hook_test.rb            | 10 -------
 .../redmine/menu_manager/menu_helper_test.rb  |  2 --
 .../unit/lib/redmine/project_jump_box_test.rb |  2 --
 .../lib/redmine/quote_reply_helper_test.rb    |  2 --
 test/unit/lib/redmine/safe_attributes_test.rb |  2 --
 .../common_mark/application_helper_test.rb    | 11 --------
 .../redmine/wiki_formatting/macros_test.rb    |  8 ------
 test/unit/lib/redmine/wiki_formatting_test.rb |  2 --
 test/unit/mail_handler_test.rb                | 10 -------
 test/unit/mailer_localisation_test.rb         |  9 ------
 test/unit/mailer_test.rb                      | 10 -------
 test/unit/member_test.rb                      | 14 ----------
 test/unit/message_test.rb                     |  3 --
 test/unit/news_test.rb                        |  2 --
 test/unit/principal_test.rb                   |  3 --
 test/unit/project_copy_test.rb                | 20 -------------
 test/unit/project_members_inheritance_test.rb |  3 --
 test/unit/project_query_test.rb               |  9 ------
 test/unit/project_test.rb                     | 22 ---------------
 test/unit/query_test.rb                       | 10 -------
 test/unit/repository_bazaar_test.rb           |  2 --
 test/unit/repository_cvs_test.rb              |  2 --
 test/unit/repository_filesystem_test.rb       |  2 --
 test/unit/repository_git_test.rb              |  2 --
 test/unit/repository_mercurial_test.rb        |  2 --
 test/unit/repository_subversion_test.rb       |  2 --
 test/unit/repository_test.rb                  | 20 -------------
 test/unit/role_test.rb                        |  2 --
 test/unit/search_test.rb                      | 16 -----------
 test/unit/setting_test.rb                     |  2 --
 test/unit/time_entry_activity_test.rb         | 10 -------
 test/unit/time_entry_custom_field_test.rb     |  2 --
 test/unit/time_entry_import_test.rb           | 12 --------
 test/unit/time_entry_query_test.rb            | 10 -------
 test/unit/time_entry_test.rb                  | 10 -------
 test/unit/token_test.rb                       |  2 --
 test/unit/tracker_test.rb                     |  2 --
 test/unit/user_import_test.rb                 |  2 --
 test/unit/user_preference_test.rb             |  2 --
 test/unit/user_query_test.rb                  |  3 --
 test/unit/user_test.rb                        | 12 --------
 test/unit/version_test.rb                     |  5 ----
 test/unit/watcher_test.rb                     |  6 ----
 test/unit/wiki_content_test.rb                |  5 ----
 test/unit/wiki_content_version_test.rb        |  2 --
 test/unit/wiki_page_test.rb                   |  2 --
 test/unit/wiki_redirect_test.rb               |  2 --
 test/unit/wiki_test.rb                        |  2 --
 test/unit/workflow_test.rb                    |  2 --
 test/unit/workflow_transition_test.rb         |  2 --
 241 files changed, 2 insertions(+), 1378 deletions(-)

diff --git a/test/extra/redmine_pm/repository_git_test_pm.rb b/test/extra/redmine_pm/repository_git_test_pm.rb
index 6faca20f5..59fe280c0 100644
--- a/test/extra/redmine_pm/repository_git_test_pm.rb
+++ b/test/extra/redmine_pm/repository_git_test_pm.rb
@@ -21,8 +21,6 @@ require_relative 'test_case'
 require 'tmpdir'
 
 class RedminePmTest::RepositoryGitTest < RedminePmTest::TestCase
-  fixtures :projects, :users, :members, :roles, :member_roles
-
   GIT_BIN = Redmine::Configuration['scm_git_command'] || "git"
 
   def test_anonymous_read_on_public_repo_with_permission_should_succeed
diff --git a/test/extra/redmine_pm/repository_subversion_test_pm.rb b/test/extra/redmine_pm/repository_subversion_test_pm.rb
index 4dc5bfe66..85649722a 100644
--- a/test/extra/redmine_pm/repository_subversion_test_pm.rb
+++ b/test/extra/redmine_pm/repository_subversion_test_pm.rb
@@ -21,8 +21,6 @@ require_relative 'test_case'
 require 'tmpdir'
 
 class RedminePmTest::RepositorySubversionTest < RedminePmTest::TestCase
-  fixtures :projects, :users, :members, :roles, :member_roles, :auth_sources, :enabled_modules
-
   SVN_BIN = Redmine::Configuration['scm_subversion_command'] || "svn"
 
   def test_anonymous_read_on_public_repo_with_permission_should_succeed
diff --git a/test/functional/account_controller_test.rb b/test/functional/account_controller_test.rb
index 4954f3292..e62dce943 100644
--- a/test/functional/account_controller_test.rb
+++ b/test/functional/account_controller_test.rb
@@ -20,8 +20,6 @@
 require_relative '../test_helper'
 
 class AccountControllerTest < Redmine::ControllerTest
-  fixtures :users, :email_addresses, :roles
-
   def setup
     User.current = nil
   end
diff --git a/test/functional/activities_controller_test.rb b/test/functional/activities_controller_test.rb
index 3fb0c1fbc..85f0767f7 100644
--- a/test/functional/activities_controller_test.rb
+++ b/test/functional/activities_controller_test.rb
@@ -20,17 +20,6 @@
 require_relative '../test_helper'
 
 class ActivitiesControllerTest < Redmine::ControllerTest
-  fixtures :projects, :trackers, :issue_statuses, :issues,
-           :enumerations, :users, :issue_categories,
-           :projects_trackers,
-           :roles,
-           :member_roles,
-           :members,
-           :groups_users,
-           :enabled_modules,
-           :journals, :journal_details,
-           :attachments, :changesets, :documents, :messages, :news, :time_entries, :wiki_content_versions
-
   def test_project_index
     get(
       :index,
diff --git a/test/functional/admin_controller_test.rb b/test/functional/admin_controller_test.rb
index 41f12300f..3c8f50fdf 100644
--- a/test/functional/admin_controller_test.rb
+++ b/test/functional/admin_controller_test.rb
@@ -20,8 +20,6 @@
 require_relative '../test_helper'
 
 class AdminControllerTest < Redmine::ControllerTest
-  fixtures :projects, :users, :email_addresses, :roles
-
   def setup
     User.current = nil
     @request.session[:user_id] = 1 # admin
diff --git a/test/functional/attachments_controller_test.rb b/test/functional/attachments_controller_test.rb
index 61c71b312..04fdb15d2 100644
--- a/test/functional/attachments_controller_test.rb
+++ b/test/functional/attachments_controller_test.rb
@@ -20,10 +20,6 @@
 require_relative '../test_helper'
 
 class AttachmentsControllerTest < Redmine::ControllerTest
-  fixtures :users, :user_preferences, :projects, :roles, :members, :member_roles,
-           :enabled_modules, :issues, :trackers, :attachments, :issue_statuses, :journals, :journal_details,
-           :versions, :wiki_pages, :wikis, :documents, :enumerations
-
   def setup
     User.current = nil
     set_fixtures_attachments_directory
diff --git a/test/functional/attachments_visibility_test.rb b/test/functional/attachments_visibility_test.rb
index ad1d83f93..292b15bf4 100644
--- a/test/functional/attachments_visibility_test.rb
+++ b/test/functional/attachments_visibility_test.rb
@@ -21,11 +21,6 @@ require_relative '../test_helper'
 
 class AttachmentsVisibilityTest < Redmine::ControllerTest
   tests AttachmentsController
-  fixtures :users, :email_addresses, :projects, :roles, :members, :member_roles,
-           :enabled_modules, :projects_trackers, :issue_statuses, :enumerations,
-           :issues, :trackers, :versions,
-           :custom_fields, :custom_fields_trackers, :custom_fields_projects
-
   def setup
     User.current = nil
     set_tmp_attachments_directory
diff --git a/test/functional/auth_sources_controller_test.rb b/test/functional/auth_sources_controller_test.rb
index e470e8e1b..7909ef961 100644
--- a/test/functional/auth_sources_controller_test.rb
+++ b/test/functional/auth_sources_controller_test.rb
@@ -20,8 +20,6 @@
 require_relative '../test_helper'
 
 class AuthSourcesControllerTest < Redmine::ControllerTest
-  fixtures :users, :auth_sources
-
   def setup
     @request.session[:user_id] = 1
   end
diff --git a/test/functional/auto_completes_controller_test.rb b/test/functional/auto_completes_controller_test.rb
index c88178400..0bf9bc5e5 100644
--- a/test/functional/auto_completes_controller_test.rb
+++ b/test/functional/auto_completes_controller_test.rb
@@ -20,17 +20,6 @@
 require_relative '../test_helper'
 
 class AutoCompletesControllerTest < Redmine::ControllerTest
-  fixtures :projects, :issues, :issue_statuses,
-           :enumerations, :users, :issue_categories,
-           :trackers,
-           :projects_trackers,
-           :roles,
-           :member_roles,
-           :members,
-           :enabled_modules,
-           :journals, :journal_details,
-           :wikis, :wiki_pages, :wiki_contents, :wiki_content_versions
-
   def test_issues_should_not_be_case_sensitive
     get(
       :issues,
diff --git a/test/functional/boards_controller_test.rb b/test/functional/boards_controller_test.rb
index 4062c3fb8..078b324e4 100644
--- a/test/functional/boards_controller_test.rb
+++ b/test/functional/boards_controller_test.rb
@@ -20,8 +20,6 @@
 require_relative '../test_helper'
 
 class BoardsControllerTest < Redmine::ControllerTest
-  fixtures :projects, :users, :members, :member_roles, :roles, :boards, :messages, :enabled_modules
-
   def setup
     User.current = nil
   end
diff --git a/test/functional/calendars_controller_test.rb b/test/functional/calendars_controller_test.rb
index ecf9e5597..227919435 100644
--- a/test/functional/calendars_controller_test.rb
+++ b/test/functional/calendars_controller_test.rb
@@ -20,22 +20,6 @@
 require_relative '../test_helper'
 
 class CalendarsControllerTest < Redmine::ControllerTest
-  fixtures :projects,
-           :trackers,
-           :projects_trackers,
-           :roles,
-           :member_roles,
-           :members,
-           :enabled_modules,
-           :issues,
-           :issue_statuses,
-           :issue_relations,
-           :issue_categories,
-           :enumerations,
-           :queries,
-           :users, :email_addresses,
-           :versions
-
   def test_show
     # Ensure that an issue to which a user is assigned is in the current
     # month's calendar in order to test Gravatar
diff --git a/test/functional/comments_controller_test.rb b/test/functional/comments_controller_test.rb
index e1118f77e..a76700e62 100644
--- a/test/functional/comments_controller_test.rb
+++ b/test/functional/comments_controller_test.rb
@@ -20,8 +20,6 @@
 require_relative '../test_helper'
 
 class CommentsControllerTest < Redmine::ControllerTest
-  fixtures :projects, :users, :email_addresses, :roles, :members, :member_roles, :enabled_modules, :news, :comments
-
   def setup
     User.current = nil
   end
diff --git a/test/functional/context_menus_controller_test.rb b/test/functional/context_menus_controller_test.rb
index e10d2309c..34d543583 100644
--- a/test/functional/context_menus_controller_test.rb
+++ b/test/functional/context_menus_controller_test.rb
@@ -20,22 +20,6 @@
 require_relative '../test_helper'
 
 class ContextMenusControllerTest < Redmine::ControllerTest
-  fixtures :projects,
-           :trackers,
-           :projects_trackers,
-           :roles,
-           :member_roles,
-           :members,
-           :enabled_modules,
-           :workflows,
-           :journals, :journal_details,
-           :versions,
-           :issues, :issue_statuses, :issue_categories,
-           :users,
-           :enumerations,
-           :time_entries,
-           :custom_fields, :custom_fields_trackers, :custom_fields_projects
-
   def test_context_menu_one_issue_should_link_to_issue_path
     @request.session[:user_id] = 2
     get(
diff --git a/test/functional/custom_field_enumerations_controller_test.rb b/test/functional/custom_field_enumerations_controller_test.rb
index e74790495..7a93baa1f 100644
--- a/test/functional/custom_field_enumerations_controller_test.rb
+++ b/test/functional/custom_field_enumerations_controller_test.rb
@@ -20,8 +20,6 @@
 require_relative '../test_helper'
 
 class CustomFieldEnumerationsControllerTest < Redmine::ControllerTest
-  fixtures :users, :email_addresses
-
   def setup
     @request.session[:user_id] = 1
     @field = GroupCustomField.create!(:name => 'List', :field_format => 'enumeration', :is_required => false)
diff --git a/test/functional/custom_fields_controller_test.rb b/test/functional/custom_fields_controller_test.rb
index b3fa614ba..0706a2eda 100644
--- a/test/functional/custom_fields_controller_test.rb
+++ b/test/functional/custom_fields_controller_test.rb
@@ -20,19 +20,6 @@
 require_relative '../test_helper'
 
 class CustomFieldsControllerTest < Redmine::ControllerTest
-  fixtures :custom_fields, :custom_values,
-           :custom_fields_projects, :custom_fields_trackers,
-           :roles, :users,
-           :members, :member_roles,
-           :groups_users,
-           :trackers, :projects_trackers,
-           :enabled_modules,
-           :projects, :issues,
-           :issue_statuses,
-           :issue_categories,
-           :enumerations,
-           :workflows
-
   def setup
     @request.session[:user_id] = 1
   end
diff --git a/test/functional/documents_controller_test.rb b/test/functional/documents_controller_test.rb
index beb0718a9..b59ecdc81 100644
--- a/test/functional/documents_controller_test.rb
+++ b/test/functional/documents_controller_test.rb
@@ -20,10 +20,6 @@
 require_relative '../test_helper'
 
 class DocumentsControllerTest < Redmine::ControllerTest
-  fixtures :projects, :users, :email_addresses, :roles, :members, :member_roles,
-           :enabled_modules, :documents, :enumerations,
-           :groups_users, :attachments, :user_preferences
-
   def setup
     User.current = nil
   end
diff --git a/test/functional/email_addresses_controller_test.rb b/test/functional/email_addresses_controller_test.rb
index 426547907..89788ea47 100644
--- a/test/functional/email_addresses_controller_test.rb
+++ b/test/functional/email_addresses_controller_test.rb
@@ -20,8 +20,6 @@
 require_relative '../test_helper'
 
 class EmailAddressesControllerTest < Redmine::ControllerTest
-  fixtures :users, :email_addresses
-
   def setup
     User.current = nil
   end
diff --git a/test/functional/enumerations_controller_test.rb b/test/functional/enumerations_controller_test.rb
index a87d72d9f..374fc9ada 100644
--- a/test/functional/enumerations_controller_test.rb
+++ b/test/functional/enumerations_controller_test.rb
@@ -20,8 +20,6 @@
 require_relative '../test_helper'
 
 class EnumerationsControllerTest < Redmine::ControllerTest
-  fixtures :enumerations, :issues, :users
-
   def setup
     @request.session[:user_id] = 1 # admin
   end
diff --git a/test/functional/files_controller_test.rb b/test/functional/files_controller_test.rb
index 4cc5c972b..57db1579b 100644
--- a/test/functional/files_controller_test.rb
+++ b/test/functional/files_controller_test.rb
@@ -20,19 +20,6 @@
 require_relative '../test_helper'
 
 class FilesControllerTest < Redmine::ControllerTest
-  fixtures :projects, :trackers, :issue_statuses, :issues,
-           :enumerations, :users,
-           :email_addresses,
-           :issue_categories,
-           :projects_trackers,
-           :roles,
-           :member_roles,
-           :members,
-           :enabled_modules,
-           :journals, :journal_details,
-           :attachments,
-           :versions
-
   def setup
     @request.session[:user_id] = nil
     Setting.default_language = 'en'
diff --git a/test/functional/gantts_controller_test.rb b/test/functional/gantts_controller_test.rb
index 48dfc8ae7..daba816b8 100644
--- a/test/functional/gantts_controller_test.rb
+++ b/test/functional/gantts_controller_test.rb
@@ -20,16 +20,6 @@
 require_relative '../test_helper'
 
 class GanttsControllerTest < Redmine::ControllerTest
-  fixtures :projects, :trackers, :issue_statuses, :issues,
-           :enumerations, :users, :issue_categories,
-           :projects_trackers,
-           :roles,
-           :member_roles,
-           :members,
-           :enabled_modules,
-           :versions,
-           :email_addresses
-
   def test_gantt_should_work
     i2 = Issue.find(2)
     i2.update_attribute(:due_date, 1.month.from_now)
diff --git a/test/functional/groups_controller_test.rb b/test/functional/groups_controller_test.rb
index ede4efce3..e9156c88c 100644
--- a/test/functional/groups_controller_test.rb
+++ b/test/functional/groups_controller_test.rb
@@ -20,8 +20,6 @@
 require_relative '../test_helper'
 
 class GroupsControllerTest < Redmine::ControllerTest
-  fixtures :projects, :users, :members, :member_roles, :roles, :groups_users
-
   def setup
     @request.session[:user_id] = 1
   end
diff --git a/test/functional/help_controller_test.rb b/test/functional/help_controller_test.rb
index 27838aba9..c91cc4bda 100644
--- a/test/functional/help_controller_test.rb
+++ b/test/functional/help_controller_test.rb
@@ -20,8 +20,6 @@
 require_relative '../test_helper'
 
 class HelpControllerTest < Redmine::ControllerTest
-  fixtures :users, :email_addresses
-
   def test_get_help_wiki_syntax
     formatters = {
       :textile => "Wiki Syntax Quick Reference",
diff --git a/test/functional/imports_controller_test.rb b/test/functional/imports_controller_test.rb
index ad1e1aade..f1c477019 100644
--- a/test/functional/imports_controller_test.rb
+++ b/test/functional/imports_controller_test.rb
@@ -20,20 +20,6 @@
 require_relative '../test_helper'
 
 class ImportsControllerTest < Redmine::ControllerTest
-  fixtures :projects, :enabled_modules,
-           :users, :email_addresses, :user_preferences,
-           :roles, :members, :member_roles,
-           :issues, :issue_statuses,
-           :trackers, :projects_trackers,
-           :versions,
-           :issue_categories,
-           :enumerations,
-           :workflows,
-           :custom_fields,
-           :custom_values,
-           :custom_fields_projects,
-           :custom_fields_trackers
-
   include Redmine::I18n
 
   def setup
diff --git a/test/functional/issue_categories_controller_test.rb b/test/functional/issue_categories_controller_test.rb
index 62b2d42e4..9b3448216 100644
--- a/test/functional/issue_categories_controller_test.rb
+++ b/test/functional/issue_categories_controller_test.rb
@@ -20,9 +20,6 @@
 require_relative '../test_helper'
 
 class IssueCategoriesControllerTest < Redmine::ControllerTest
-  fixtures :projects, :users, :members, :member_roles, :roles, :enabled_modules, :issue_categories,
-           :issues
-
   def setup
     User.current = nil
     @request.session[:user_id] = 2
diff --git a/test/functional/issue_relations_controller_test.rb b/test/functional/issue_relations_controller_test.rb
index fadf1011b..b01263c87 100644
--- a/test/functional/issue_relations_controller_test.rb
+++ b/test/functional/issue_relations_controller_test.rb
@@ -20,19 +20,6 @@
 require_relative '../test_helper'
 
 class IssueRelationsControllerTest < Redmine::ControllerTest
-  fixtures :projects,
-           :users,
-           :roles,
-           :members,
-           :member_roles,
-           :issues,
-           :issue_statuses,
-           :issue_relations,
-           :enabled_modules,
-           :enumerations,
-           :trackers,
-           :projects_trackers
-
   def setup
     User.current = nil
     @request.session[:user_id] = 3
diff --git a/test/functional/issue_statuses_controller_test.rb b/test/functional/issue_statuses_controller_test.rb
index c7594f9a0..b3129d1d9 100644
--- a/test/functional/issue_statuses_controller_test.rb
+++ b/test/functional/issue_statuses_controller_test.rb
@@ -20,8 +20,6 @@
 require_relative '../test_helper'
 
 class IssueStatusesControllerTest < Redmine::ControllerTest
-  fixtures :issue_statuses, :issues, :users, :trackers, :workflows
-
   def setup
     User.current = nil
     @request.session[:user_id] = 1 # admin
